%define version 0.0.14.1
%define release %mkrel 9

%define major 2
%define libname %mklibname ggz %{major}
%define develname %mklibname -d ggz

# Enable encryption support?
%define enable_encrypt 0
%{?_with_encrypt: %global enable_encrypt 1}

# select between GNUTLS or OpenSSL
%define use_openssl 0
%{?_with_openssl: %global use_openssl 1}

Name:		libggz
Summary:	Common library for the GGZ Gaming Zone
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
URL:		http://ggzgamingzone.org/
Source0:	http://ftp.ggzgamingzone.org/pub/ggz/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%if %enable_encrypt
%if %use_openssl
BuildRequires:	openssl-devel
%else
BuildRequires:	gnutls-devel
%endif
%endif

%description
The GGZ Gaming Zone server allows other computers to connect to yours via
the Internet and play network games. This library provides features required
for running both clients and the server.

Build Option:
--with encrypt      Enable encryption support
--with openssl      Prefer OpenSSL to GNUTLS, for encryption support
                    (Useless unless "--with encrypt" is also used)


%package	-n %{libname}
Summary:	Common library for running GGZ Gaming Zone applications
Group:		Games/Other
Provides:	%{name} = %{version}-%{release}

%description	-n %{libname}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the shared library that provides features
required for running both clients and the server.


%package	-n %{develname}
Summary:	Development files used to build GGZ Gaming Zone applications
Group:		Development/C
Provides:	%{name}-devel = %{version}
Requires:	%{libname} = %{version}
Obsoletes:	%mklibname -d ggz 2

%description	-n %{develname}
The GGZ Gaming Zone server allows other computers to connect to yours
via the Internet and play network games. 

This package contains the libraries required for building both clients
and the server.

%prep
%setup -q

%build
%configure2_5x \
%if %enable_encrypt
	--with-gcrypt=yes	\
%if %use_openssl
	--with-tls=OpenSSL	\
%else
	--with-tls=GnuTLS	\
%endif
%endif

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .a, .la
find %{buildroot} -name *.a | xargs rm -f
find %{buildroot} -name *.la | xargs rm -f

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README README.GGZ QuickStart.GGZ
%{_libdir}/libggz.so.%{major}*
%{_mandir}/man?/*

%files -n %{develname}
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/libggz.so


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.0.14.1-9.mga3
+ Revision: 357215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 ahmad <ahmad> 0.0.14.1-8.mga1
+ Revision: 29758
- drop old/unneeded scriptlets
- don't ship .a, .la
- imported package libggz

